# Tests boteSalvatICX, boteSalvatEdgeEnergy and boteSalvatAvailable
using Test
using BoteSalvatICX

@testset "ICX" begin

    # Comparing with values generated by xion.f
    @test isapprox(ionizationcrosssection(12,4,7.71792E+01),3.85315E-18,atol=3e-20)
    @test isapprox(ionizationcrosssection(12,4,1.29569E+04),1.24124E-18,atol=1e-20)
    @test isapprox(ionizationcrosssection(12,4,5.78762E+06),1.30393E-19,atol=1e-21)

    @test isapprox(ionizationcrosssection(23,2,2.90068E+08),5.64142E-21,atol=1e-23)
    @test isapprox(ionizationcrosssection(23,2,1.53993E+04),2.63509E-20,atol=1e-22)

    @test isapprox(ionizationcrosssection(45,7,6.68344E+08),1.62343E-20,atol=1e-22)
    @test isapprox(ionizationcrosssection(45,7,1.22321E+03),2.11571E-19,atol=2e-21)

    @test isapprox(ionizationcrosssection(67,1,1.63117E+05),1.36404E-23,atol=1e-25)
    @test isapprox(ionizationcrosssection(78,9,2.98538E+03),2.02808E-20,atol=1e-22)

    @test isapprox(ionizationcrosssection(99,3,1.00000E+09),1.39024E-22,atol=1e-24)
    @test isapprox(ionizationcrosssection(99,3,2.66073E+04),3.85171E-24,atol=1e-25)

    @test isapprox(ionizationcrosssection(1,1,6.87860E+02),1.57729E-17,atol=1e-19)

end

@testset "EdgeEnergy" begin
    # Not a very good set of values...
    @test isapprox(edgeenergy(67,9),1.36386E+3,atol=1.0)
    @test isapprox(edgeenergy(57,4),5.48366E+3,atol=1.0)
    @test isapprox(edgeenergy(42,1),1.99691E+4,atol=1.0)
    @test isapprox(edgeenergy(42,1),1.99691E+4,atol=1.0)
end

@testset "Available" begin
    @test hasedge(1,1)==true
    @test hasedge(1,2)==false
    @test hasedge(11,2)==true
    @test hasedge(12,4)==true
    @test hasedge(12,5)==false
    @test hasedge(26,6)==true
    @test all(i->hasedge(33,i),1:9)
    @test hasedge(33,10)==false
    @test all(z->hasedge(z,9),33:99)
end
